import PropTypes from "prop-types";

export function MinusIco({ width, fill }) {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      viewBox="0 0 122.43 122.88"
      width={width}
    >
      <path
        d="M7.513,0h107.854c2.066,0,3.944,0.845,5.306,2.207s2.207,3.24,2.207,5.306v107.854c0,2.066-0.846,3.944-2.207,5.306 c-1.361,1.362-3.239,2.207-5.306,2.207H7.513c-2.066,0-3.945-0.845-5.306-2.207C0.845,119.312,0,117.434,0,115.367V7.513 c0-2.066,0.845-3.945,2.207-5.306S5.447,0,7.513,0L7.513,0z M26.627,63.993c0.653,0.653,1.556,1.058,2.553,1.058 c21.844,0,42.675,0,64.519,0c0.997,0,1.9-0.404,2.554-1.058s1.058-1.557,1.058-2.554c0-0.996-0.404-1.899-1.058-2.553 s-1.557-1.057-2.554-1.057c-21.844,0-42.675,0-64.519,0c-0.997,0-1.9,0.404-2.553,1.057s-1.058,1.557-1.058,2.553 C25.569,62.437,25.974,63.34,26.627,63.993L26.627,63.993z"
        fill={fill}
        fillRule="evenodd"
        clipRule="evenodd"
      />
    </svg>
  );
}

MinusIco.propTypes = {
  width: PropTypes.number,
  fill: PropTypes.string,
};
